Summary: Printer Configuration Tool
Name: printtool
Version: 3.29
Release: 4
Copyright: GPL
Group: Utilities/System
Source: printtool-%{PACKAGE_VERSION}.tar.gz
Patch1: printtool-3.29-use_master_filter.patch
Requires: tcl tk control-panel rhs-printfilters >= 1.46 lpr >= 0.16
BuildArchitectures: noarch
BuildRoot: /var/tmp/printtool-root

%description
The printtool provides a graphical interface for setting up printer queue. It
manages both local printers and remote printers. Windows (SMB) and NetWare
(NCP) printers can also be configured.

%prep
%setup -q -n printtool

# make sane use of the master filter
%patch1 -p1 -b .use_master_filter

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/rhs/control-panel}

make	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" \
	install

install printtool.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/printtool

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
/usr/bin/printtool
/usr/lib/rhs/control-panel/printtool.init
/usr/lib/rhs/control-panel/printtool.xpm
%attr(0600,root,root)	%config(missingok) /etc/X11/wmconfig/printtool

%changelog
* Wed Sep 19 2001 Crutcher Dunnavnt <crutcher@redhat.com> 3.29-4
- make sane use of the master filter

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- fix typo

* Thu Sep  9 1998 Bill Nottingham <notting@redhat.com>
- fix description

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- added NCP support

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/init.d/lpd.init is now just lpd. (problem #768)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
